Show / Hide Table of Contents

# Enum EventHandlerType

###### Namespace: FFXIVClientStructs.FFXIV.Client.Game.Event

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public enum EventHandlerType : ushort

### Fields

Name | Description
--- | ---
Adventure |
Aetheryte |
Array |
BattleLeveDirector |
ChocoboTaxiStand |
CompanyCraftDirector |
CompanyLeveDirector |
CompanyLeveOfficer |
ContentNpc |
ContentTalk |
Craft |
CraftLeve |
CustomTalk |
DailyQuestSupply |
DefaultTalk |
DpsChallengeDirector |
ExitRange |
FateDirector |
FcTalk |
Fishing |
GatheringLeveDirector |
GatheringPoint |
GimmickAccessor |
GimmickBill |
GimmickRect |
GoldSaucerArcadeMachine |
GoldSaucerDirector |
GrandCompanyShop |
GuildLeveAssignment |
GuildOrderGuide |
GuildOrderOfficer |
HousingAethernet |
InstanceContentDirector |
InstanceContentGuide |
LotteryExchangeShop |
Opening |
PublicContentDirector |
Quest |
QuestBattleDirector |
Shop |
SpecialShop |
Story |
TreasureHuntDirector |
TripleTriad |
TripleTriadCompetition |
Warp |

### Extension Methods

EnumExtensions.GetAttribute<TAttribute>()